Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtDialScaleDraw Class Reference

`#include <qwt_dial.h>`

Inheritance diagram for QwtDialScaleDraw:
[legend]

List of all members.

## Public Member Functions

| QwtDialScaleDraw (QwtDial *)
virtual QwtText | label (double value) const
double | penWidth () const
void | setPenWidth (double)
Public Member Functions inherited from QwtRoundScaleDraw
| QwtRoundScaleDraw ()
virtual | ~QwtRoundScaleDraw ()
QPointF | center () const
virtual double | extent (const QFont &) const
void | moveCenter (double x, double y)
void | moveCenter (const QPointF &)
int | radius () const
void | setAngleRange (double angle1, double angle2)
void | setRadius (int radius)
Public Member Functions inherited from QwtAbstractScaleDraw
| QwtAbstractScaleDraw ()
virtual | ~QwtAbstractScaleDraw ()
virtual void | draw (QPainter *, const QPalette &) const
void | enableComponent (ScaleComponent, bool enable=true)
bool | hasComponent (ScaleComponent) const
double | maxTickLength () const
double | minimumExtent () const
const QwtScaleDiv & | scaleDiv () const
const QwtScaleMap & | scaleMap () const
QwtScaleMap & | scaleMap ()
void | setMinimumExtent (double)
void | setPenWidth (int width)
void | setScaleDiv (const QwtScaleDiv &s)
void | setSpacing (double margin)
void | setTickLength (QwtScaleDiv::TickType, double length)
void | setTransformation (QwtScaleTransformation *)
double | spacing () const
double | tickLength (QwtScaleDiv::TickType) const

## Additional Inherited Members

Protected Member Functions inherited from QwtRoundScaleDraw
virtual void | drawBackbone (QPainter *p) const
virtual void | drawLabel (QPainter *p, double val) const
virtual void | drawTick (QPainter *p, double val, double len) const
Protected Member Functions inherited from QwtAbstractScaleDraw
void | invalidateCache ()
const QwtText & | tickLabel (const QFont &, double value) const

## Detailed Description

A special scale draw made for QwtDial.

See also:
  QwtDial, QwtCompass

## Constructor & Destructor Documentation

QwtDialScaleDraw::QwtDialScaleDraw | ( | QwtDial * | parent | ) |

explicit

Constructor

Parameters:

  parent | Parent dial widget

## Member Function Documentation

QwtText QwtDialScaleDraw::label | ( | double | value | ) | const

virtual

Call QwtDial::scaleLabel of the parent dial widget.

Parameters:

  value | Value to display

See also:
  QwtDial::scaleLabel()

Reimplemented from QwtAbstractScaleDraw.

double QwtDialScaleDraw::penWidth | ( |  | ) | const

Returns:
  Pen width used for painting the scale

See also:
  setPenWidth, QwtDial::drawScale()

Reimplemented from QwtAbstractScaleDraw.

void QwtDialScaleDraw::setPenWidth | ( | double | penWidth | ) |

Set the pen width used for painting the scale

Parameters:

  penWidth | Pen width

See also:
  penWidth(), QwtDial::drawScale()